VERSION 5.00
Begin VB.Form frmMain 
   BorderStyle     =   1  'Fest Einfach
   Caption         =   "Pneumatic Robots : Tr"
   ClientHeight    =   5295
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   7545
   Icon            =   "PneuTuer.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   5295
   ScaleWidth      =   7545
   StartUpPosition =   3  'Windows-Standard
   Begin VB.CommandButton cmdEnde 
      Caption         =   "ENDE"
      Height          =   375
      Left            =   5880
      TabIndex        =   1
      Top             =   4200
      Width           =   1335
   End
   Begin VB.CommandButton cmdAction 
      Caption         =   "START"
      Height          =   375
      Left            =   5880
      TabIndex        =   0
      Top             =   4680
      Width           =   1335
   End
   Begin VB.Label lblStatus 
      Alignment       =   2  'Zentriert
      Caption         =   "STARTen"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   20.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   495
      Left            =   480
      TabIndex        =   2
      Top             =   360
      Width           =   6615
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' ------------------------------------------------------------------------------
'
' frmMain(PneuTuer.frm)                                   Ulrich Mller 22.12.99
'                                                         Procida 400NT    VB6.0
' Pneumatische Tr : VB6 Adaption des LLWin Programms PneuTuer.MDL
'                    der Pneumatic Robots
'
' Tr ffnet, wenn sie leicht angestoen wird (Taster 1 ffnet) und schliet,
' wenn die Lichtschranke anspricht.
' Der jeweilige Status wird auf der Form angezeigt (lblStatus)
'
' Nutzung umFish.DLL
'
' ggf. den PortNamen in Form_Load anpassen (eingestellt : "COM1")
'
' ------------------------------------------------------------------------------

Option Explicit

' --- Modellkonstanten -----------------------

Const cvTuerAuf = 1, cvTuerZu = 2         ' --- MagnetVentile
Const ctTuerZu = 1                        ' --- Taster
Const cpLichtSchranke = 2                 ' --- Photowiderstand
Const clLichtSchranke = 3                 ' --- Lampe
Const cmKompressor = 4                    ' --- Motor



Private Sub Init()

' --- Initialisierung -----------

  lblStatus = "Init luft"
  SetMotor ft, clLichtSchranke, ftiEin         ' --- Lampe Lichtschranke ein
  SetMotor ft, cmKompressor, ftiEin            ' --- Kompressor ein
  WaitForTime ft, 6000                         ' --- Warten, bis Druck aufgebaut
  
  SetMotor ft, cvTuerAuf, ftiAus               ' --- Tr schlieen
  SetMotor ft, cvTuerZu, ftiEin                '     Schlieventil ein
  WaitForInput ft, ctTuerZu                    '     Warten auf Tr zu
  SetMotor ft, cvTuerZu, ftiAus                ' --- Abschalten Schlieventil
    
End Sub

Private Sub TuerAuf()

' --- Tr ffnen --------

  SetMotor ft, cvTuerZu, ftiAus        ' --- Schlieventil aus
  SetMotor ft, cvTuerAuf, ftiEin       ' --- ffnerventil ein
  WaitForTime ft, 500                  '     Warten auf ffnen
  SetMotor ft, cvTuerAuf, ftiAus       ' --- ffnerventil aus
                                       '     fehlt in der PneuTuer.MDL-Version
                                       '     deswegen Schlieen sehr zgerlich
End Sub

Private Sub TuerMain()

' --- Hauptprogramm, Schleife, die ber ft.NotHalt beendet wird (cmdAction) ---

  Init                                ' --- Auf Ausgangsstellung
  lblStatus = "Tr geschlossen"
  Do                                  ' --- Schleife bis NotHalt
    WaitForInput ft, ctTuerZu, False  '     Warten bis Tr etwas geffnet wird
    TuerAuf                           '     Tr ffnen
    lblStatus = "Tr geffnet"
    WaitForInput ft, cpLichtSchranke, False ' Schlieen, wenn Lichtschranke unter-
    lblStatus = "Tr schliet"        '      brochen
    TuerZu                            '      Tr schlieen
    lblStatus = "Tr geschlossen"
  Loop Until NotHalt
  
End Sub

Private Sub TuerZu()

' --- Tr Schlieen ---

  SetMotor ft, cvTuerAuf, ftiAus       ' --- ffnerventil aus
  SetMotor ft, cvTuerZu, ftiEin        '     Schlieventil ein
  WaitForInput ft, ctTuerZu            '     Warten auf Schlieen
  SetMotor ft, cvTuerZu, ftiAus        ' --- Schlieventil aus
  
End Sub

Private Sub cmdAction_Click()

' --- Starten / Beenden der Trsteuerung ---

  If cmdAction.Caption = "START" Then       ' --- Start
    cmdEnde.Enabled = False                 '     um ein wildes Beenden des
    cmdAction.Caption = "HALT"              '     gesamten Programms zu verhindern
    NotHalt = False                      ' --- Endesteuerung
    TuerMain                                ' --- TrSteuerung
  Else                                      ' --- Beenden
    NotHalt = True                       '     Ende einleiten
  End If
                                            ' --- Ende
  ClearMotors ft                            '     alle M-Ausgnge aus
  cmdEnde.Enabled = True                    '     ENDE wieder zulassen
  cmdAction.Caption = "START"               '     erneuten START zulassen
  lblStatus = "START/ENDE"
  cmdEnde.SetFocus
  
End Sub


Private Sub cmdEnde_Click()

  Unload Me
  
End Sub


Private Sub Form_Load()
    
' --- Programm Initialisierung ---

  If OpenInterface(ft, "COM1") = ftiFehler Then ' --- COM1 ggf. Anpassen --COM1 ---
    MsgBox "InterfaceProblem", vbExclamation + vbOKOnly, "PneuTuer"
    Unload Me
  End If
  
End Sub


Private Sub Form_Unload(Cancel As Integer)

' --- Aufrumen ---

  CloseInterface ft
  
End Sub


